1. Transactions
My Project
    • 🐶 Walk through Apidog
    • Sample APIs
      • Find pet by ID
      • Add a new pet to the store
      • Update an existing pet
      • Deletes a pet
      • Finds Pets by status
    • Schemas
      • Sample Schemas
        • Pet
        • Category
        • Tag
  • Hisabin API V1
    • Authentication
      • Register a new user
      • Login with email and password
      • Refresh access token
      • Logout from current device
      • Logout from all devices
      • Request password reset
      • Reset password with token
      • Get current user info
    • Users
      • Get user profile
      • Update user profile
      • Update password
      • List registered devices
      • Remove a device
    • Portfolios
      • List all portfolios
      • Create a portfolio
      • Get a portfolio
      • Update a portfolio
      • Delete a portfolio
    • Accounts
      • List accounts in a portfolio
      • Create an account
      • Get an account
      • Update an account
      • Delete an account
    • Assets
      • List assets in a portfolio
      • Create an asset
      • Get an asset
      • Update an asset
      • Delete an asset
    • Loans
      • List loans in a portfolio
      • Create a loan
      • Get a loan
      • Update a loan
      • Delete a loan
    • Debts
      • List debts in a portfolio
      • Create a debt
      • Get a debt
      • Update a debt
      • Delete a debt
    • Heritages
      • List heritage plans in a portfolio
      • Create a heritage plan
      • Get a heritage plan
      • Update a heritage plan
      • Delete a heritage plan
    • Budgets
      • List budgets in a portfolio
      • Create a budget
      • Get a budget
      • Update a budget
      • Delete a budget
    • Goals
      • List goals in a portfolio
      • Create a goal
      • Get a goal
      • Update a goal
      • Delete a goal
    • Transactions
      • List all transactions
        GET
      • Create a transaction
        POST
      • List transactions for a specific account
        GET
      • Get a transaction
        GET
      • Update a transaction
        PATCH
      • Delete a transaction
        DELETE
      • Add attachment to transaction
        POST
      • Remove attachment from transaction
        DELETE
      • Create internal transfer between accounts
        POST
      • Get monthly transaction summary
        GET
    • External Accounts
      • List external accounts
      • Create external account
      • Get external account
      • Update external account
      • Delete external account
    • Subscriptions
      • List subscriptions
      • Create subscription
      • Get subscription summary
      • Get subscription details
      • Update subscription
      • Delete subscription
      • Pause subscription
      • Resume subscription
      • Cancel subscription
      • Record subscription payment
      • Skip subscription payment
      • List subscription payments
    • Schemas
      • Error
      • DeviceInfo
      • TokenResponse
      • UserPlan
      • User
      • AuthResponse
      • UserProfile
      • Device
      • Money
      • Portfolio
      • Account
      • Asset
      • Loan
      • Debt
      • Heritage
      • HeritageBeneficiary
      • HeritageAllocation
      • Budget
      • Goal
      • Transaction
      • Transfer
      • TransactionSummary
      • ExternalAccount
      • Subscription
      • SubscriptionPayment
      • SubscriptionSummary
  1. Transactions

Get monthly transaction summary

GET
/api/v1/portfolios/{portfolio_id}/transactions/summary
Get income, expense totals and breakdown by category for a month

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
Monthly summary
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/portfolios//transactions/summary?year=undefined&month=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "data": {
        "year": 0,
        "month": 0,
        "total_income": {
            "cents": 100000,
            "currency": "IDR"
        },
        "total_expense": {
            "cents": 100000,
            "currency": "IDR"
        },
        "net_flow": {
            "cents": 100000,
            "currency": "IDR"
        },
        "transaction_count": 0,
        "by_category": [
            {
                "category_id": "8de4c9fd-61a4-4c0b-bf88-0ed3a0fe3fa2",
                "category_name": "string",
                "kind": "incoming",
                "total": {
                    "cents": 100000,
                    "currency": "IDR"
                },
                "count": 0
            }
        ]
    }
}
Modified at 2025-12-03 16:47:21
Previous
Create internal transfer between accounts
Next
List external accounts
Built with